package com.ekexiu.portal.po;

import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.annotation.entry.Unique;
import org.jfw.apt.orm.annotation.entry.Uniques;

import com.ekexiu.portal.basepo.BaseOrganization;
import com.ekexiu.portal.basepo.CreateTimeSupported;
import com.ekexiu.portal.basepo.DescpSupported;
import com.ekexiu.portal.basepo.ModifyTimeSupported;

@Uniques(@Unique(name="ORGANIZATION_NAME_UN",clolumns="name"))
@PrimaryKey("id")
@Table
public class Organization extends BaseOrganization implements CreateTimeSupported,ModifyTimeSupported,DescpSupported{

	private String descp;
	private String createTime;
	private String modifyTime;

	public String getDescp() {
		return descp;
	}
	public void setDescp(String descp) {
		this.descp = descp;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getModifyTime() {
		return modifyTime;
	}
	public void setModifyTime(String modifyTime) {
		this.modifyTime = modifyTime;
	}
}
